Package org.apache.synapse.transport.fix

## Class FIXOutgoingMessageHandler

- java.lang.Object
- - org.apache.synapse.transport.fix.FIXOutgoingMessageHandler

-     public class FIXOutgoingMessageHandler
      extends Object

  FIXOutgoingMessageHandler makes sure that messages are delivered in the order they were received by a FIX acceptor. In case the message arrived over a different transport still this class will try to put the messages in correct order based on the counter value of the message.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FIXOutgoingMessageHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanUpMessages​(String session)` |
    `void` | `sendMessage​(quickfix.Message message, quickfix.SessionID targetSession, String sourceSession, int counter, org.apache.axis2.context.MessageContext msgCtx, String targetEPR)` | Performs the actual send operation on the message.
    `void` | `setSessionFactory​(FIXSessionFactory sessionFactory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FIXOutgoingMessageHandler

          public FIXOutgoingMessageHandler()

  - ### Method Detail

    - #### setSessionFactory

          public void setSessionFactory​(FIXSessionFactory sessionFactory)

    - #### sendMessage

          public void sendMessage​(quickfix.Message message,
                                  quickfix.SessionID targetSession,
                                  String sourceSession,
                                  int counter,
                                  org.apache.axis2.context.MessageContext msgCtx,
                                  String targetEPR)
                           throws quickfix.SessionNotFound

      Performs the actual send operation on the message. Tries to send the messages in the order they arrived over the FIX transport
      Parameters:
        `message` - the FIX message to be sent
        `targetSession` - ID of the target FIXSession
        `sourceSession` - String that uniquely identifies the incoming session
        `counter` - application level sequence number of the message
        `msgCtx` - Axis2 MessageContext for the outgoing message
        `targetEPR` - the target EPR to forward the message
      Throws:
        `quickfix.SessionNotFound` - on error

    - #### cleanUpMessages

          public void cleanUpMessages​(String session)